%define upstream_name	 Youri-Package-RPM-Generator
%define upstream_version 0.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Template-based rpm generator
License:	GPL+ or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source0:	http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		fix-testsuite.diff
BuildConflicts: perl(Test::Kwalitee)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(URPM)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(version)
BuildArch:	    noarch
Requires:       perl-version

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module generates rpm packages from a spec file template, for testing
purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files 
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.3-12.mga10
+ Revision: 2211778
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.1.3-11.mga9
+ Revision: 1830114
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-10.mga8
+ Revision: 1498574
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.3-9.mga7
+ Revision: 1272905
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.3-8.mga6
+ Revision: 1036189
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.1.3-7.mga6
+ Revision: 971528
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.1.3-6.mga6
+ Revision: 891949
- patch 0: fix testsuite by disabling debuginfo
- buildConflicts perl(Test::Kwalitee) as it breaks testsuite
- BR perl(Test::Kwalitee)
- typo fix
- BR perl(Test::Harnes)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 739144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-4.mga5
+ Revision: 686998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 516313
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 375333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 guillomovitch <guillomovitch> 0.1.3-1.mga3
+ Revision: 338310
- new version

* Sat Jun 11 2011 spuhler <spuhler> 0.1.1-2.mga2
+ Revision: 103893
- increase rel for rebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.1.1-1.mga1
+ Revision: 42956
- update %%doc
- adding missing buildrequires:
- update to 0.1.1

* Sat Jan 22 2011 jquelin <jquelin> 0.1.0-6.mga1
+ Revision: 31521
- mageia rebuild
- imported package perl-Youri-Package-RPM-Generator


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-6mdv2010.0
+ Revision: 430675
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-5mdv2009.0
+ Revision: 258924
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-4mdv2009.0
+ Revision: 246825
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.0-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 17229
- force dependency on perl-version


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2007.1
+ Revision: 138890
- Imported perl-Youri-Package-RPM-Generator-0.1.0-1mdv2007.1 into SVN repository.

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2007.1
- first mdv release

